Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024068Runner[All Projects] HTML5Public2016-10-08 17:402017-03-17 11:16
ReporterYellowAfterlife 
Assigned ToRussell Kay 
PriorityLowSeverityC - GeneralReproducibility100%
StatusClosedResolutionFixed 
PlatformWindowsOSWindows 8OS Version8.1
Summary0024068: HTML5: ds_map_find_value does not need to display warnings for nonexistent keys
DescriptionOriginal behaviour (displaying "Error: Key (key) not found in ds_map[ind]") was established at the time when GameMaker: Studio did not yet have an `undefined` type, therefore was needed to avoid silent failure with returning 0. Since introduction of `undefined` values, this is no longer needed, and it should silently return `undefined` as other targets do.
1.4 Version7.7.1305
2.x Runtime Version
2.x Runtime Version Verified In
Attached Files? file icon a_bug.gmz [^] (119,437 bytes) 2016-10-08 17:40

- Relationships

-  Notes
(0051698)
Russell Kay (Manager)
2017-02-21 10:29

Fixed in gitlab - 07fb619 - no longer complains and returns undefined
(0052274)
Ross Manthorp (Administrator)
2017-03-17 11:16

Verified. Closing.


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker